local mod = RW:Boss("Trash - Deathbound Ward", "Icecrown Citadel", "The Lower Spire")
mod:SetAsTrashMod()
local L

---------------------------
-- Variables
local wShout
local tShout

---------------------------
-- Init

function mod:OnRegister()
	L = mod:RegisterLocale(self:GetName(), "enUS", true)
	if L then
		L.name = "Trash - Deathbound Ward"
	end
	L = mod:GetLocale()
	self.L = L
	
	self:SetTrigger(37007)
	self:SetWin("combat")
	
	
	tShout = self:CastTimer(3, 71022)
	wShout = self:CastWarning(71022)
end

---------------------------
-- Locals

---------------------------
-- Start

function mod:OnEngage(trigger)
	self:Track("Shout", 71022)
end

function mod:Shout(event, args)
	if event == "SPELL_CAST_START" then
		wShout:Show()
		tShout:Start()
	end
end
